{%extends 'base_admin.html'%}
{%block title%}Admin | Edit Salary Range{%endblock title%}

{%block content%}
    <body class="skin-blue">
        <!-- header logo: style can be found in header.less -->
        
        <!---Admin_header -->
        {%include 'admin_header.html'%}
        <!-- Admin_header-->

        <div class="wrapper row-offcanvas row-offcanvas-left">
            

            <!-- admin left side menu -->

            {%include 'admin_leftside_menu.html'%}

             <!-- admin left side menu -->

            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Dashboard
                        <small>Control panel</small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="{%url 'admin_panel'%}"><i class="fa fa-dashboard"></i>Home</a></li>
                        <li class="active">Edit Salary Range</li>
                    </ol>
                </section>

                <!-- Main content -->

                 <section class="content">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <!-- general form elements -->
                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Edit Salary Range</h3>
                                </div><!-- /.box-header -->


                                <!-- form start -->
                                <form role="form" action="" id="addcatform" method="post" >{%csrf_token%}
                                    <div class="box-body">
                                          <div class="form-group ">


                                            {%if range_error%}
                                            <div class="form-group has-error">
                                             <label class="control-label" for="cat_name"><i class="fa fa-check"></i>Required</label>
                                             </div>
                                            {%elif length_error%}
                                            <div class="form-group has-error">
                                           <label class="control-label" for="cat_name"><i class="fa fa-check"></i>Minimum 3 Character Required</label>
                                           </div>
                                             {%elif match_error%}
                                             <div class="form-group has-error">
                                            <label class="control-label" for="cat_name"><i class="fa fa-remove"></i>This name is already in database</label>
                                            </div>
                                            {%elif  add_success%}
                                            <div class="form-group has-success">
                                            <label class="control-label" for="cat_name"><i class="fa fa-check"></i>Successfully Updated</label>
                                            </div>
                                            {%endif%}
                                           
                                            <input type="text" class="form-control" id="cat_name" name="salary_range"placeholder="Enter Salary Range" value="{{query_range.salaryRange}}" />
                                        </div>
                                   
                                       
                                    </div><!-- /.box-body -->

                                    <div class="box-footer">
                                        <button type="button" id="add_cat_btn" class="btn btn-primary">Edit Salary Range</button>
                                    </div>
                                </form>
                            </div><!-- /.box -->

                            <!-- Form Element sizes -->
                            
                            <!-- /.box -->

                            <!-- Input addon -->
                        
                        


                        </div><!--/.col (left) -->
                        <!-- right column -->
                        <div class="col-md-12">
                            <!-- general form elements disabled -->
                            
                            <div class="box">
                                <div class="box-header">
                                    <h3 class="box-title">Salary Ranges</h3>
                                </div><!-- /.box-header -->

                                {%if del_error%}
                                <div class="form-group has-error">
                                <label class="control-label" for="cat_name"><i class="fa fa-check"></i>Failed To Delete Category</label>
                                </div>
                                {%endif%}




                                 <div class="box-body table-responsive">
                                    <table id="example2" class="table table-bordered table-striped">
                                        <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Role Name</th>
                                                <th>Date Created</th>
                                                <th>Date Updated</th>
                                                <th>Edit</th>
                                                <th>Delete</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        {%if categories%}
                                        {%for category in categories%}
                                            <tr>
                                                <td>{{category.id}}</td>
                                                <td><strong>{{category.salaryRange}}</strong></td>
                                                <td>{{category.dateCreated}}</td>
                                                 <td>{{category.dateEdited}}</td>
                                                <td><a href="{% url 'edit_salary_range' category.id %}"><i class="fa fa-edit"></i></a></td>
                                                <td><a href="{% url 'del_salary_range' category.id %}" onClick="return confirmPost();"><i class="fa fa-trash"></i></a></td>
                                            </tr>
                                        {%endfor%}
                                           
                                        </tbody>
                                
                                    </table>
                                </div>

                               <!-- /.box-body -->
                                
                            </div>
                            {%endif%}


                            <!-- /.box -->
                        </div><!--/.col (right) -->

               

                    </div>   <!-- /.row -->
                </section>
                <!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->

        <!-- add new calendar event modal -->


       <!-- footer -->
       
       <!-- footer -->

       <!--all table related js -->
        {%include 'admin_data_table.html'%}
        <!--all table related js -->


</body>
</html>


{%endblock content%}